-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.51b


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema T2Provenance
--

CREATE DATABASE IF NOT EXISTS T2Provenance;
USE T2Provenance;

--
-- Definition of table `T2Provenance`.`Arc`
--

DROP TABLE IF EXISTS `T2Provenance`.`Arc`;
CREATE TABLE  `T2Provenance`.`Arc` (
  `sourceVarNameRef` varchar(100) NOT NULL COMMENT 'ref. to var name for source of arc',
  `sinkVarNameRef` varchar(100) NOT NULL COMMENT 'ref. to var name for sink of arc',
  `sourcePNameRef` varchar(100) NOT NULL,
  `sinkPNameRef` varchar(100) NOT NULL,
  `wfInstanceRef` varchar(100) NOT NULL,
  PRIMARY KEY  USING BTREE (`sourceVarNameRef`,`sinkVarNameRef`,`sourcePNameRef`,`sinkPNameRef`,`wfInstanceRef`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='static -- arc between two processors';

--
-- Dumping data for table `T2Provenance`.`Arc`
--

/*!40000 ALTER TABLE `Arc` DISABLE KEYS */;
LOCK TABLES `Arc` WRITE;
INSERT INTO `T2Provenance`.`Arc` VALUES  ('Y','X','P0','P1','e024ea01-89fd-4f93-b6ae-ad6da4a6df08'),
 ('Y','X1','P1','P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08'),
 ('Y','X2','P2','P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08'),
 ('Y','X3','P3','P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08'),
 ('Y1','O1','P4','lineageexample','e024ea01-89fd-4f93-b6ae-ad6da4a6df08'),
 ('Y2','O2','P4','lineageexample','e024ea01-89fd-4f93-b6ae-ad6da4a6df08');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Arc` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`Collection`
--

DROP TABLE IF EXISTS `T2Provenance`.`Collection`;
CREATE TABLE  `T2Provenance`.`Collection` (
  `collID` varchar(100) NOT NULL COMMENT 'ID of a list (collection). not sure yet what this looks like... ',
  `parentCollIDRef` varchar(100) NOT NULL default 'TOP' COMMENT 'used for list nesting.\ndefault is dummy list TOP since this attr. is key',
  `wfInstanceRef` varchar(100) NOT NULL,
  `PNameRef` varchar(100) NOT NULL,
  `varNameRef` varchar(100) NOT NULL,
  `iteration` char(10) NOT NULL default '',
  PRIMARY KEY  USING BTREE (`collID`,`wfInstanceRef`,`PNameRef`,`varNameRef`,`parentCollIDRef`,`iteration`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='dynamic -- contains IDs of lists (T2 collections)';

--
-- Dumping data for table `T2Provenance`.`Collection`
--

/*!40000 ALTER TABLE `Collection` DISABLE KEYS */;
LOCK TABLES `Collection` WRITE;
INSERT INTO `T2Provenance`.`Collection` VALUES  ('t2:list//dataref.taverna.org?test12/false/1','t2:list//dataref.taverna.org?test30/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O1','[0,0]'),
 ('t2:list//dataref.taverna.org?test12/false/1','t2:list//dataref.taverna.org?test30/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','P4','Y1','[0,0]'),
 ('t2:list//dataref.taverna.org?test12/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','IsExistsCSVFile','IsExistsCSVFileOutput','[]'),
 ('t2:list//dataref.taverna.org?test12/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','IsExistsCSVFileOutput','[]'),
 ('t2:list//dataref.taverna.org?test13/false/1','t2:list//dataref.taverna.org?test30/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O1','[0,0]'),
 ('t2:list//dataref.taverna.org?test13/false/1','t2:list//dataref.taverna.org?test30/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P4','Y1','[0,0]'),
 ('t2:list//dataref.taverna.org?test18/false/1','t2:list//dataref.taverna.org?test32/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O1','[1,0]'),
 ('t2:list//dataref.taverna.org?test18/false/1','t2:list//dataref.taverna.org?test32/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','P4','Y1','[1,0]'),
 ('t2:list//dataref.taverna.org?test18/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','ReadCSVFileColumnNames','ReadCSVFileColumnNamesOutput','[]'),
 ('t2:list//dataref.taverna.org?test18/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','ReadCSVFileColumnNamesOutput','[]'),
 ('t2:list//dataref.taverna.org?test19/false/1','t2:list//dataref.taverna.org?test32/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O1','[1,0]'),
 ('t2:list//dataref.taverna.org?test19/false/1','t2:list//dataref.taverna.org?test32/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P4','Y1','[1,0]'),
 ('t2:list//dataref.taverna.org?test20/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','IsMatchCSVFileColumnNames','IsMatchCSVFileColumnNamesOutput','[]'),
 ('t2:list//dataref.taverna.org?test20/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','IsMatchCSVFileColumnNamesOutput','[]'),
 ('t2:list//dataref.taverna.org?test23/false/1','t2:list//dataref.taverna.org?test30/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O1','[0,1]'),
 ('t2:list//dataref.taverna.org?test23/false/1','t2:list//dataref.taverna.org?test30/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','P4','Y1','[0,1]'),
 ('t2:list//dataref.taverna.org?test24/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','LoadCSVFileIntoTable','LoadCSVFileIntoTableOutput','[]'),
 ('t2:list//dataref.taverna.org?test24/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','LoadCSVFileIntoTableOutput','[]'),
 ('t2:list//dataref.taverna.org?test24/false/1','t2:list//dataref.taverna.org?test32/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O1','[1,1]'),
 ('t2:list//dataref.taverna.org?test24/false/1','t2:list//dataref.taverna.org?test32/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P4','Y1','[1,1]'),
 ('t2:list//dataref.taverna.org?test28/false/1','t2:list//dataref.taverna.org?test32/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O1','[1,1]'),
 ('t2:list//dataref.taverna.org?test28/false/1','t2:list//dataref.taverna.org?test32/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','P4','Y1','[1,1]'),
 ('t2:list//dataref.taverna.org?test28/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','UpdateComputedColumns','UpdateComputedColumnsOutput','[]'),
 ('t2:list//dataref.taverna.org?test28/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','UpdateComputedColumnsOutput','[]'),
 ('t2:list//dataref.taverna.org?test29/false/1','t2:list//dataref.taverna.org?test30/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O1','[0,1]'),
 ('t2:list//dataref.taverna.org?test29/false/1','t2:list//dataref.taverna.org?test30/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P4','Y1','[0,1]'),
 ('t2:list//dataref.taverna.org?test30/false/2','t2:list//dataref.taverna.org?test34/false/3','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O1','[0]'),
 ('t2:list//dataref.taverna.org?test30/false/2','t2:list//dataref.taverna.org?test34/false/3','53dc2901-0ef6-474c-87e6-a084070d8f71','P4','Y1','[0]'),
 ('t2:list//dataref.taverna.org?test30/false/2','t2:list//dataref.taverna.org?test34/false/3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O1','[0]'),
 ('t2:list//dataref.taverna.org?test30/false/2','t2:list//dataref.taverna.org?test34/false/3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P4','Y1','[0]'),
 ('t2:list//dataref.taverna.org?test31/false/1','t2:list//dataref.taverna.org?test35/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O2','[0]'),
 ('t2:list//dataref.taverna.org?test31/false/1','t2:list//dataref.taverna.org?test35/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O2','[0]'),
 ('t2:list//dataref.taverna.org?test32/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','IsMatchTableRowCount','IsMatchTableRowCountOutput','[]'),
 ('t2:list//dataref.taverna.org?test32/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','IsMatchTableRowCountOutput','[]'),
 ('t2:list//dataref.taverna.org?test32/false/2','t2:list//dataref.taverna.org?test34/false/3','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O1','[1]'),
 ('t2:list//dataref.taverna.org?test32/false/2','t2:list//dataref.taverna.org?test34/false/3','53dc2901-0ef6-474c-87e6-a084070d8f71','P4','Y1','[1]'),
 ('t2:list//dataref.taverna.org?test32/false/2','t2:list//dataref.taverna.org?test34/false/3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O1','[1]'),
 ('t2:list//dataref.taverna.org?test32/false/2','t2:list//dataref.taverna.org?test34/false/3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P4','Y1','[1]'),
 ('t2:list//dataref.taverna.org?test33/false/1','t2:list//dataref.taverna.org?test35/false/2','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O2','[1]'),
 ('t2:list//dataref.taverna.org?test33/false/1','t2:list//dataref.taverna.org?test35/false/2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O2','[1]'),
 ('t2:list//dataref.taverna.org?test34/false/3','TOP','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O1','[]'),
 ('t2:list//dataref.taverna.org?test34/false/3','TOP','53dc2901-0ef6-474c-87e6-a084070d8f71','P4','Y1','[]'),
 ('t2:list//dataref.taverna.org?test34/false/3','TOP','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O1','[]'),
 ('t2:list//dataref.taverna.org?test34/false/3','TOP','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P4','Y1','[]'),
 ('t2:list//dataref.taverna.org?test35/false/2','TOP','53dc2901-0ef6-474c-87e6-a084070d8f71','lineageexample','O2','[]'),
 ('t2:list//dataref.taverna.org?test35/false/2','TOP','ca7e22d7-9978-4494-8729-2249b2ae8f5d','lineageexample','O2','[]'),
 ('t2:list//dataref.taverna.org?test36/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','IsMatchTableColumnRanges','IsMatchTableColumnRangesOutput','[]'),
 ('t2:list//dataref.taverna.org?test36/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','IsMatchTableColumnRangesOutput','[]'),
 ('t2:list//dataref.taverna.org?test4/false/1','TOP','53dc2901-0ef6-474c-87e6-a084070d8f71','P2','Y','[]'),
 ('t2:list//dataref.taverna.org?test5/false/1','TOP','53dc2901-0ef6-474c-87e6-a084070d8f71','P0','Y','[]'),
 ('t2:list//dataref.taverna.org?test5/false/1','TOP','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P2','Y','[]'),
 ('t2:list//dataref.taverna.org?test6/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','IsMatchCSVFileTables','FileEntries','[]'),
 ('t2:list//dataref.taverna.org?test6/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','ReadCSVReadyFile','ReadCSVReadyFileOutput','[]'),
 ('t2:list//dataref.taverna.org?test6/false/1','TOP','9eb5f902-c103-4c49-b3a0-094b602c6516','Workflow1','CSVFileEntryList','[]'),
 ('t2:list//dataref.taverna.org?test6/false/1','TOP','ca7e22d7-9978-4494-8729-2249b2ae8f5d','P0','Y','[]');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Collection` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`IterationStrategy`
--

DROP TABLE IF EXISTS `T2Provenance`.`IterationStrategy`;
CREATE TABLE  `T2Provenance`.`IterationStrategy` (
  `wfInstanceRef` varchar(100) NOT NULL,
  `pnameRef` varchar(100) NOT NULL,
  `type` char(10) default NULL COMMENT 'holds one single iteration strategy for a processor.\nThe strategy involves processor ports -- see table iterationVars',
  PRIMARY KEY  (`wfInstanceRef`,`pnameRef`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `T2Provenance`.`IterationStrategy`
--

/*!40000 ALTER TABLE `IterationStrategy` DISABLE KEYS */;
LOCK TABLES `IterationStrategy` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `IterationStrategy` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`IterationVariable`
--

DROP TABLE IF EXISTS `T2Provenance`.`IterationVariable`;
CREATE TABLE  `T2Provenance`.`IterationVariable` (
  `wfInstanceRef` varchar(100) NOT NULL,
  `pnameRef` varchar(100) NOT NULL,
  `varnameRef` varchar(100) NOT NULL COMMENT 'holds the set of vars (ports) that participate in _the_ (single) iteration strategy associated with a processor',
  PRIMARY KEY  (`wfInstanceRef`,`pnameRef`,`varnameRef`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `T2Provenance`.`IterationVariable`
--

/*!40000 ALTER TABLE `IterationVariable` DISABLE KEYS */;
LOCK TABLES `IterationVariable` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `IterationVariable` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`ProcBinding`
--

DROP TABLE IF EXISTS `T2Provenance`.`ProcBinding`;
CREATE TABLE  `T2Provenance`.`ProcBinding` (
  `pnameRef` varchar(100) NOT NULL COMMENT 'ref to static processor name',
  `execIDRef` varchar(100) NOT NULL COMMENT 'ref. to ID of wf execution',
  `actName` varchar(100) NOT NULL COMMENT 'name of activity bound to this processor',
  `iteration` char(10) NOT NULL default '',
  PRIMARY KEY  USING BTREE (`pnameRef`,`execIDRef`,`iteration`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='dynamic -- binding of processor to activity';

--
-- Dumping data for table `T2Provenance`.`ProcBinding`
--

/*!40000 ALTER TABLE `ProcBinding` DISABLE KEYS */;
LOCK TABLES `ProcBinding` WRITE;
INSERT INTO `T2Provenance`.`ProcBinding` VALUES  ('IsCSVReadyFileExists','9eb5f902-c103-4c49-b3a0-094b602c6516','7eeb3ad7-1852-464a-881f-de71d7c92fc1','[]'),
 ('ReadCSVReadyFile','9eb5f902-c103-4c49-b3a0-094b602c6516','165f1375-9784-4a0d-9cf7-3fbb80ca8b69','[]'),
 ('IsExistsCSVFile','9eb5f902-c103-4c49-b3a0-094b602c6516','31c7a8b5-9c5e-46e4-9725-789d311f1411','[0]'),
 ('IsExistsCSVFile','9eb5f902-c103-4c49-b3a0-094b602c6516','dfd01d63-dfb8-4176-9a41-d44f43e9b1cb','[1]'),
 ('IsMatchCSVFileTables','9eb5f902-c103-4c49-b3a0-094b602c6516','dbfdca79-1c82-483d-b425-102cfb1de66e','[]'),
 ('ReadCSVFileColumnNames','9eb5f902-c103-4c49-b3a0-094b602c6516','7d680d94-4f4a-41c9-ae2f-792c63268cef','[0]'),
 ('IsExistsCSVFile','9eb5f902-c103-4c49-b3a0-094b602c6516','20e6ef63-ecd3-4004-916d-d1ae2b81015b','[2]'),
 ('IsMatchCSVFileColumnNames','9eb5f902-c103-4c49-b3a0-094b602c6516','5294805d-3328-48ff-8a3b-b648e5531878','[0]'),
 ('ReadCSVFileColumnNames','9eb5f902-c103-4c49-b3a0-094b602c6516','724a7faa-5980-4459-b2c4-5e11fed44630','[1]'),
 ('IsMatchCSVFileColumnNames','9eb5f902-c103-4c49-b3a0-094b602c6516','4e720235-39d1-403b-a9c7-1f3b6f148c08','[1]'),
 ('CreateEmptyLoadDB','9eb5f902-c103-4c49-b3a0-094b602c6516','d42ebaf9-5479-4a2c-8e45-629e427ebdb7','[]'),
 ('ReadCSVFileColumnNames','9eb5f902-c103-4c49-b3a0-094b602c6516','8ac2db9b-5b22-4b2f-9a94-c03952dd7d22','[2]'),
 ('IsMatchCSVFileColumnNames','9eb5f902-c103-4c49-b3a0-094b602c6516','c6ef4081-a51b-4119-823c-272efb50c084','[2]'),
 ('LoadCSVFileIntoTable','9eb5f902-c103-4c49-b3a0-094b602c6516','3cee3d5b-6986-4469-a9a5-c589f137ba17','[0]'),
 ('LoadCSVFileIntoTable','9eb5f902-c103-4c49-b3a0-094b602c6516','6334c036-30ae-44ab-b854-318e5745a8ad','[1]'),
 ('LoadCSVFileIntoTable','9eb5f902-c103-4c49-b3a0-094b602c6516','578e0b18-3f84-4e7d-95ae-e28f6e066509','[2]'),
 ('UpdateComputedColumns','9eb5f902-c103-4c49-b3a0-094b602c6516','d6ed50af-8784-4236-a97d-aac2a4460dff','[0]'),
 ('UpdateComputedColumns','9eb5f902-c103-4c49-b3a0-094b602c6516','0f19f8ed-77f5-4b08-93d7-55a38eefa836','[1]'),
 ('UpdateComputedColumns','9eb5f902-c103-4c49-b3a0-094b602c6516','61385828-ed4f-4f3a-8a87-0f0cb93c8407','[2]'),
 ('IsMatchTableRowCount','9eb5f902-c103-4c49-b3a0-094b602c6516','9fe11eee-b4bd-42fc-aac5-ba0587f51b5d','[1]'),
 ('IsMatchTableRowCount','9eb5f902-c103-4c49-b3a0-094b602c6516','197b7cef-4195-4d44-9d83-f52709ece035','[0]'),
 ('IsMatchTableRowCount','9eb5f902-c103-4c49-b3a0-094b602c6516','9e821767-e799-4677-8b03-d0c9126a961e','[2]'),
 ('IsMatchTableColumnRanges','9eb5f902-c103-4c49-b3a0-094b602c6516','cdc036d6-8b97-481f-8b3b-5d51fa06cd9e','[1]'),
 ('IsMatchTableColumnRanges','9eb5f902-c103-4c49-b3a0-094b602c6516','2070f40c-c97a-4993-920f-6cb8ddaff859','[0]'),
 ('IsMatchTableColumnRanges','9eb5f902-c103-4c49-b3a0-094b602c6516','e6756bb4-23c0-432f-b5a2-9b2d002eaeec','[2]'),
 ('P3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','0999a65a-4c22-4201-b39c-85af09576cfb','[]'),
 ('P0','ca7e22d7-9978-4494-8729-2249b2ae8f5d','2e43bfe2-7de1-4dab-aa97-05c66e3234f1','[]'),
 ('P2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','f1a012b5-e405-4d84-b291-28207c9de77b','[]'),
 ('P1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','9ba6aade-dded-479b-a38c-6f1598c8ceab','[0]'),
 ('P1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','7c8e4464-fc46-49c7-85d9-577cafff68cb','[1]'),
 ('P4','ca7e22d7-9978-4494-8729-2249b2ae8f5d','e751e629-0e4b-4a1f-8aa5-fab155e90bcd','[0,0]'),
 ('P4','ca7e22d7-9978-4494-8729-2249b2ae8f5d','5488ec41-983e-4db1-9076-6d975bfd1427','[1,0]'),
 ('P4','ca7e22d7-9978-4494-8729-2249b2ae8f5d','c422e105-e59b-4ffb-b988-7120f0b67ac5','[1,1]'),
 ('P4','ca7e22d7-9978-4494-8729-2249b2ae8f5d','ba63ffcc-48c8-47ca-9020-876cd7a6ec4f','[0,1]'),
 ('P2','53dc2901-0ef6-474c-87e6-a084070d8f71','4a55b70e-317b-4851-8358-d8c43e12ead1','[]'),
 ('P3','53dc2901-0ef6-474c-87e6-a084070d8f71','de1520e5-6a59-4b51-93dd-f40367d00c5a','[]'),
 ('P0','53dc2901-0ef6-474c-87e6-a084070d8f71','023db455-faea-470c-b188-6a9b2dd630ea','[]'),
 ('P1','53dc2901-0ef6-474c-87e6-a084070d8f71','4ba99adf-4786-460e-a552-9578e138b0a1','[0]'),
 ('P1','53dc2901-0ef6-474c-87e6-a084070d8f71','1e65b838-9f7a-4eb0-808c-820ec09d8a28','[1]'),
 ('P4','53dc2901-0ef6-474c-87e6-a084070d8f71','c938adfd-c1dc-4990-bbce-2d8e01ddb829','[0,0]'),
 ('P4','53dc2901-0ef6-474c-87e6-a084070d8f71','38e06116-7329-4778-94d4-123a7b0704c7','[1,0]'),
 ('P4','53dc2901-0ef6-474c-87e6-a084070d8f71','465fcfa5-32e1-4437-8d53-02462883422b','[0,1]'),
 ('P4','53dc2901-0ef6-474c-87e6-a084070d8f71','6fd57af0-5e97-4b3a-843b-e18a766be8f2','[1,1]');
UNLOCK TABLES;
/*!40000 ALTER TABLE `ProcBinding` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`Processor`
--

DROP TABLE IF EXISTS `T2Provenance`.`Processor`;
CREATE TABLE  `T2Provenance`.`Processor` (
  `pname` varchar(100) NOT NULL,
  `wfInstanceRef` varchar(100) NOT NULL COMMENT 'ref to WfInstance.wfInstanceID',
  `type` varchar(100) default NULL COMMENT 'processor type',
  PRIMARY KEY  (`pname`,`wfInstanceRef`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='static -- all processors for all workflows, by name';

--
-- Dumping data for table `T2Provenance`.`Processor`
--

/*!40000 ALTER TABLE `Processor` DISABLE KEYS */;
LOCK TABLES `Processor` WRITE;
INSERT INTO `T2Provenance`.`Processor` VALUES  ('lineageexample','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','net.sf.taverna.t2.activities.dataflow.DataflowActivity'),
 ('P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','net.sf.taverna.t2.activities.beanshell.BeanshellActivity'),
 ('P1','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','net.sf.taverna.t2.activities.beanshell.BeanshellActivity'),
 ('P2','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','net.sf.taverna.t2.activities.beanshell.BeanshellActivity'),
 ('P3','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','net.sf.taverna.t2.activities.beanshell.BeanshellActivity'),
 ('P0','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','net.sf.taverna.t2.activities.beanshell.BeanshellActivity');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Processor` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`Var`
--

DROP TABLE IF EXISTS `T2Provenance`.`Var`;
CREATE TABLE  `T2Provenance`.`Var` (
  `varName` varchar(100) NOT NULL,
  `type` varchar(20) default NULL COMMENT 'variable type',
  `inputOrOutput` tinyint(1) NOT NULL COMMENT '1 = input, 0 = output',
  `pnameRef` varchar(100) NOT NULL COMMENT 'reference to the processor',
  `wfInstanceRef` varchar(100) NOT NULL,
  `nestingLevel` int(10) unsigned default '0',
  `actualNestingLevel` int(10) unsigned default '0',
  `anlSet` tinyint(1) default '0',
  `order` tinyint(4) default NULL,
  PRIMARY KEY  USING BTREE (`varName`,`inputOrOutput`,`pnameRef`,`wfInstanceRef`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='static -- input and output variables (processor port names i';

--
-- Dumping data for table `T2Provenance`.`Var`
--

/*!40000 ALTER TABLE `Var` DISABLE KEYS */;
LOCK TABLES `Var` WRITE;
INSERT INTO `T2Provenance`.`Var` VALUES  ('X2',NULL,1,'P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',0,1,1,1),
 ('X3',NULL,1,'P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',0,0,1,2),
 ('X1',NULL,1,'P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',0,1,1,0),
 ('Y1',NULL,0,'P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',1,3,1,0),
 ('Y2',NULL,0,'P4','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',0,2,1,0),
 ('X',NULL,1,'P1','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',0,1,1,0),
 ('Y',NULL,0,'P1','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',0,1,1,0),
 ('Y',NULL,0,'P2','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',1,1,1,0),
 ('Y',NULL,0,'P3','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',0,0,1,0),
 ('Y',NULL,0,'P0','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',1,1,1,0),
 ('O1',NULL,0,'lineageexample','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',3,3,1,0),
 ('O2',NULL,0,'lineageexample','e024ea01-89fd-4f93-b6ae-ad6da4a6df08',2,2,1,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `Var` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`VarBinding`
--

DROP TABLE IF EXISTS `T2Provenance`.`VarBinding`;
CREATE TABLE  `T2Provenance`.`VarBinding` (
  `varNameRef` varchar(100) NOT NULL COMMENT 'ref to var name',
  `wfInstanceRef` varchar(100) NOT NULL COMMENT 'ref to execution ID',
  `value` varchar(100) default NULL COMMENT 'ref to value. Either a string value or a string ref (URI) to a value',
  `collIDRef` varchar(100) default 'TOP',
  `positionInColl` int(10) unsigned NOT NULL default '1' COMMENT 'position within collection. default is 1',
  `PNameRef` varchar(100) NOT NULL,
  `valueType` varchar(50) default NULL,
  `ref` varchar(100) default NULL,
  `iteration` char(10) NOT NULL default '',
  PRIMARY KEY  USING BTREE (`varNameRef`,`wfInstanceRef`,`PNameRef`,`positionInColl`,`iteration`),
  KEY `collectionFK` (`wfInstanceRef`,`PNameRef`,`varNameRef`,`collIDRef`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='dynamic -- binding of variables to values ';

--
-- Dumping data for table `T2Provenance`.`VarBinding`
--

/*!40000 ALTER TABLE `VarBinding` DISABLE KEYS */;
LOCK TABLES `VarBinding` WRITE;
INSERT INTO `T2Provenance`.`VarBinding` VALUES  ('CSVRootPath','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test0',NULL,1,'IsCSVReadyFileExists','referenceSet','TEXT','[]'),
 ('IsCSVReadyFileExistsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test2',NULL,1,'IsCSVReadyFileExists',NULL,NULL,'[]'),
 ('CSVRootPath','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test0',NULL,1,'ReadCSVReadyFile','referenceSet','TEXT','[]'),
 ('ReadCSVReadyFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test3','t2:list//dataref.taverna.org?test6/false/1',1,'ReadCSVReadyFile','referenceSet','TEXT','[0]'),
 ('ReadCSVReadyFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test4','t2:list//dataref.taverna.org?test6/false/1',2,'ReadCSVReadyFile','referenceSet','TEXT','[1]'),
 ('ReadCSVReadyFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test5','t2:list//dataref.taverna.org?test6/false/1',3,'ReadCSVReadyFile','referenceSet','TEXT','[2]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test3','t2:list//dataref.taverna.org?test6/false/1',1,'IsExistsCSVFile','referenceSet','TEXT','[0]'),
 ('IsExistsCSVFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test7','t2:list//dataref.taverna.org?test12/false/1',1,'IsExistsCSVFile',NULL,NULL,'[0]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test4','t2:list//dataref.taverna.org?test6/false/1',1,'IsExistsCSVFile','referenceSet','TEXT','[1]'),
 ('IsExistsCSVFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test8','t2:list//dataref.taverna.org?test12/false/1',1,'IsExistsCSVFile',NULL,NULL,'[1]'),
 ('FileEntries','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test3','t2:list//dataref.taverna.org?test6/false/1',1,'IsMatchCSVFileTables','referenceSet','TEXT','[0]'),
 ('FileEntries','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test4','t2:list//dataref.taverna.org?test6/false/1',2,'IsMatchCSVFileTables','referenceSet','TEXT','[1]'),
 ('FileEntries','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test5','t2:list//dataref.taverna.org?test6/false/1',3,'IsMatchCSVFileTables','referenceSet','TEXT','[2]'),
 ('IsMatchCSVFileTablesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test9',NULL,1,'IsMatchCSVFileTables',NULL,NULL,'[]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test3','t2:list//dataref.taverna.org?test6/false/1',1,'ReadCSVFileColumnNames','referenceSet','TEXT','[0]'),
 ('ReadCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test10','t2:list//dataref.taverna.org?test18/false/1',1,'ReadCSVFileColumnNames',NULL,NULL,'[0]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test5','t2:list//dataref.taverna.org?test6/false/1',1,'IsExistsCSVFile','referenceSet','TEXT','[2]'),
 ('IsExistsCSVFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test11','t2:list//dataref.taverna.org?test12/false/1',1,'IsExistsCSVFile',NULL,NULL,'[2]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test10',NULL,1,'IsMatchCSVFileColumnNames','referenceSet','TEXT','[0]'),
 ('IsMatchCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test13','t2:list//dataref.taverna.org?test20/false/1',1,'IsMatchCSVFileColumnNames',NULL,NULL,'[0]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test4','t2:list//dataref.taverna.org?test6/false/1',1,'ReadCSVFileColumnNames','referenceSet','TEXT','[1]'),
 ('ReadCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test14','t2:list//dataref.taverna.org?test18/false/1',1,'ReadCSVFileColumnNames',NULL,NULL,'[1]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test14',NULL,1,'IsMatchCSVFileColumnNames','referenceSet','TEXT','[1]'),
 ('IsMatchCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test15','t2:list//dataref.taverna.org?test20/false/1',1,'IsMatchCSVFileColumnNames',NULL,NULL,'[1]'),
 ('JobID','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test1',NULL,1,'CreateEmptyLoadDB','referenceSet','TEXT','[]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'CreateEmptyLoadDB',NULL,NULL,'[]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test5','t2:list//dataref.taverna.org?test6/false/1',1,'ReadCSVFileColumnNames','referenceSet','TEXT','[2]'),
 ('ReadCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test17','t2:list//dataref.taverna.org?test18/false/1',1,'ReadCSVFileColumnNames',NULL,NULL,'[2]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test17',NULL,1,'IsMatchCSVFileColumnNames','referenceSet','TEXT','[2]'),
 ('IsMatchCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test19','t2:list//dataref.taverna.org?test20/false/1',1,'IsMatchCSVFileColumnNames',NULL,NULL,'[2]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test10',NULL,1,'LoadCSVFileIntoTable','referenceSet','TEXT','[0]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'LoadCSVFileIntoTable','referenceSet','TEXT','[0]'),
 ('LoadCSVFileIntoTableOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test21','t2:list//dataref.taverna.org?test24/false/1',1,'LoadCSVFileIntoTable',NULL,NULL,'[0]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test14',NULL,1,'LoadCSVFileIntoTable','referenceSet','TEXT','[1]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'LoadCSVFileIntoTable','referenceSet','TEXT','[1]'),
 ('LoadCSVFileIntoTableOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test22','t2:list//dataref.taverna.org?test24/false/1',1,'LoadCSVFileIntoTable',NULL,NULL,'[1]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test17',NULL,1,'LoadCSVFileIntoTable','referenceSet','TEXT','[2]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'LoadCSVFileIntoTable','referenceSet','TEXT','[2]'),
 ('LoadCSVFileIntoTableOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test23','t2:list//dataref.taverna.org?test24/false/1',1,'LoadCSVFileIntoTable',NULL,NULL,'[2]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test10',NULL,1,'UpdateComputedColumns','referenceSet','TEXT','[0]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'UpdateComputedColumns','referenceSet','TEXT','[0]'),
 ('UpdateComputedColumnsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test25','t2:list//dataref.taverna.org?test28/false/1',1,'UpdateComputedColumns',NULL,NULL,'[0]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test14',NULL,1,'UpdateComputedColumns','referenceSet','TEXT','[1]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'UpdateComputedColumns','referenceSet','TEXT','[1]'),
 ('UpdateComputedColumnsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test26','t2:list//dataref.taverna.org?test28/false/1',1,'UpdateComputedColumns',NULL,NULL,'[1]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test17',NULL,1,'UpdateComputedColumns','referenceSet','TEXT','[2]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'UpdateComputedColumns','referenceSet','TEXT','[2]'),
 ('UpdateComputedColumnsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test27','t2:list//dataref.taverna.org?test28/false/1',1,'UpdateComputedColumns',NULL,NULL,'[2]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test14',NULL,1,'IsMatchTableRowCount','referenceSet','TEXT','[1]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'IsMatchTableRowCount','referenceSet','TEXT','[1]'),
 ('IsMatchTableRowCountOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test29','t2:list//dataref.taverna.org?test32/false/1',1,'IsMatchTableRowCount',NULL,NULL,'[1]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test10',NULL,1,'IsMatchTableRowCount','referenceSet','TEXT','[0]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'IsMatchTableRowCount','referenceSet','TEXT','[0]'),
 ('IsMatchTableRowCountOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test30','t2:list//dataref.taverna.org?test32/false/1',1,'IsMatchTableRowCount',NULL,NULL,'[0]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test17',NULL,1,'IsMatchTableRowCount','referenceSet','TEXT','[2]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'IsMatchTableRowCount','referenceSet','TEXT','[2]'),
 ('IsMatchTableRowCountOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test31','t2:list//dataref.taverna.org?test32/false/1',1,'IsMatchTableRowCount',NULL,NULL,'[2]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test14',NULL,1,'IsMatchTableColumnRanges','referenceSet','TEXT','[1]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'IsMatchTableColumnRanges','referenceSet','TEXT','[1]'),
 ('IsMatchTableColumnRangesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test33','t2:list//dataref.taverna.org?test36/false/1',1,'IsMatchTableColumnRanges',NULL,NULL,'[1]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test10',NULL,1,'IsMatchTableColumnRanges','referenceSet','TEXT','[0]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'IsMatchTableColumnRanges','referenceSet','TEXT','[0]'),
 ('IsMatchTableColumnRangesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test34','t2:list//dataref.taverna.org?test36/false/1',1,'IsMatchTableColumnRanges',NULL,NULL,'[0]'),
 ('FileEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test17',NULL,1,'IsMatchTableColumnRanges','referenceSet','TEXT','[2]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'IsMatchTableColumnRanges','referenceSet','TEXT','[2]'),
 ('IsMatchTableColumnRangesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test35','t2:list//dataref.taverna.org?test36/false/1',1,'IsMatchTableColumnRanges',NULL,NULL,'[2]'),
 ('IsMatchCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test13','t2:list//dataref.taverna.org?test20/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('IsMatchCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test15','t2:list//dataref.taverna.org?test20/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('IsMatchCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test19','t2:list//dataref.taverna.org?test20/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('IsMatchCSVFileTablesOutput_out','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test9',NULL,1,'Workflow1',NULL,NULL,'[]'),
 ('IsMatchTableColumnRangesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test33','t2:list//dataref.taverna.org?test36/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('IsMatchTableColumnRangesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test34','t2:list//dataref.taverna.org?test36/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('IsMatchTableColumnRangesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test35','t2:list//dataref.taverna.org?test36/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('UpdateComputedColumnsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test25','t2:list//dataref.taverna.org?test28/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('UpdateComputedColumnsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test26','t2:list//dataref.taverna.org?test28/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('UpdateComputedColumnsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test27','t2:list//dataref.taverna.org?test28/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('isCSVReadyFileExistsOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test2',NULL,1,'Workflow1',NULL,NULL,'[]'),
 ('IsMatchTableRowCountOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test29','t2:list//dataref.taverna.org?test32/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('IsMatchTableRowCountOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test30','t2:list//dataref.taverna.org?test32/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('IsMatchTableRowCountOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test31','t2:list//dataref.taverna.org?test32/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('DBEntry','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test16',NULL,1,'Workflow1',NULL,NULL,'[]'),
 ('LoadCSVFileIntoTableOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test21','t2:list//dataref.taverna.org?test24/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('LoadCSVFileIntoTableOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test22','t2:list//dataref.taverna.org?test24/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('LoadCSVFileIntoTableOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test23','t2:list//dataref.taverna.org?test24/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('ReadCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test10','t2:list//dataref.taverna.org?test18/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('ReadCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test14','t2:list//dataref.taverna.org?test18/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('ReadCSVFileColumnNamesOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test17','t2:list//dataref.taverna.org?test18/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('IsExistsCSVFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test7','t2:list//dataref.taverna.org?test12/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('IsExistsCSVFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test8','t2:list//dataref.taverna.org?test12/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('IsExistsCSVFileOutput','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test11','t2:list//dataref.taverna.org?test12/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('CSVRootPath','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test0',NULL,1,'Workflow1',NULL,NULL,'[]'),
 ('JobID','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test1',NULL,1,'Workflow1',NULL,NULL,'[]'),
 ('CSVFileEntryList','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test3','t2:list//dataref.taverna.org?test6/false/1',1,'Workflow1',NULL,NULL,'[0]'),
 ('CSVFileEntryList','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test4','t2:list//dataref.taverna.org?test6/false/1',2,'Workflow1',NULL,NULL,'[1]'),
 ('CSVFileEntryList','9eb5f902-c103-4c49-b3a0-094b602c6516','t2:ref//dataref.taverna.org?test5','t2:list//dataref.taverna.org?test6/false/1',3,'Workflow1',NULL,NULL,'[2]'),
 ('Y','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test0',NULL,1,'P3','referenceSet','TEXT','[]'),
 ('Y','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test2','t2:list//dataref.taverna.org?test6/false/1',1,'P0','referenceSet','TEXT','[0]'),
 ('Y','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test4','t2:list//dataref.taverna.org?test6/false/1',2,'P0','referenceSet','TEXT','[1]'),
 ('Y','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test1','t2:list//dataref.taverna.org?test5/false/1',1,'P2','referenceSet','TEXT','[0]'),
 ('Y','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test3','t2:list//dataref.taverna.org?test5/false/1',2,'P2','referenceSet','TEXT','[1]'),
 ('X','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test2','t2:list//dataref.taverna.org?test6/false/1',1,'P1','referenceSet','TEXT','[0]'),
 ('Y','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test7',NULL,1,'P1','referenceSet','TEXT','[0]'),
 ('X','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test4','t2:list//dataref.taverna.org?test6/false/1',1,'P1','referenceSet','TEXT','[1]'),
 ('Y','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test8',NULL,1,'P1','referenceSet','TEXT','[1]'),
 ('X1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test7',NULL,1,'P4','referenceSet','TEXT','[0,0]'),
 ('X2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test1',NULL,1,'P4','referenceSet','TEXT','[0,0]'),
 ('X3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test0',NULL,1,'P4','referenceSet','TEXT','[0,0]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test10','t2:list//dataref.taverna.org?test13/false/1',1,'P4','referenceSet','TEXT','[0,0,0]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test11','t2:list//dataref.taverna.org?test13/false/1',2,'P4','referenceSet','TEXT','[0,0,1]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test12','t2:list//dataref.taverna.org?test13/false/1',3,'P4','referenceSet','TEXT','[0,0,2]'),
 ('Y2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test9','t2:list//dataref.taverna.org?test31/false/1',1,'P4',NULL,NULL,'[0,0]'),
 ('X1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test7',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('X2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test3',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('X3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test0',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test16','t2:list//dataref.taverna.org?test19/false/1',1,'P4','referenceSet','TEXT','[1,0,0]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test17','t2:list//dataref.taverna.org?test19/false/1',2,'P4','referenceSet','TEXT','[1,0,1]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test18','t2:list//dataref.taverna.org?test19/false/1',3,'P4','referenceSet','TEXT','[1,0,2]'),
 ('Y2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test15',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('X1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test8',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('X2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test3',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('X3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test0',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test21','t2:list//dataref.taverna.org?test24/false/1',1,'P4','referenceSet','TEXT','[1,1,0]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test22','t2:list//dataref.taverna.org?test24/false/1',2,'P4','referenceSet','TEXT','[1,1,1]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test23','t2:list//dataref.taverna.org?test24/false/1',3,'P4','referenceSet','TEXT','[1,1,2]'),
 ('Y2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test20',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('X1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test8',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('X2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test1',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('X3','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test0',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test26','t2:list//dataref.taverna.org?test29/false/1',1,'P4','referenceSet','TEXT','[0,1,0]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test27','t2:list//dataref.taverna.org?test29/false/1',2,'P4','referenceSet','TEXT','[0,1,1]'),
 ('Y1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test28','t2:list//dataref.taverna.org?test29/false/1',3,'P4','referenceSet','TEXT','[0,1,2]'),
 ('Y2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test25',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('O2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test9','t2:list//dataref.taverna.org?test31/false/1',1,'lineageexample',NULL,NULL,'[0,0]'),
 ('O2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test15','t2:list//dataref.taverna.org?test33/false/1',1,'lineageexample',NULL,NULL,'[1,0]'),
 ('O2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test20','t2:list//dataref.taverna.org?test33/false/1',2,'lineageexample',NULL,NULL,'[1,1]'),
 ('O2','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test25','t2:list//dataref.taverna.org?test31/false/1',2,'lineageexample',NULL,NULL,'[0,1]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test10','t2:list//dataref.taverna.org?test13/false/1',1,'lineageexample',NULL,NULL,'[0,0,0]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test11','t2:list//dataref.taverna.org?test13/false/1',2,'lineageexample',NULL,NULL,'[0,0,1]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test12','t2:list//dataref.taverna.org?test13/false/1',3,'lineageexample',NULL,NULL,'[0,0,2]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test16','t2:list//dataref.taverna.org?test19/false/1',1,'lineageexample',NULL,NULL,'[1,0,0]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test17','t2:list//dataref.taverna.org?test19/false/1',2,'lineageexample',NULL,NULL,'[1,0,1]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test18','t2:list//dataref.taverna.org?test19/false/1',3,'lineageexample',NULL,NULL,'[1,0,2]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test21','t2:list//dataref.taverna.org?test24/false/1',1,'lineageexample',NULL,NULL,'[1,1,0]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test22','t2:list//dataref.taverna.org?test24/false/1',2,'lineageexample',NULL,NULL,'[1,1,1]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test23','t2:list//dataref.taverna.org?test24/false/1',3,'lineageexample',NULL,NULL,'[1,1,2]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test26','t2:list//dataref.taverna.org?test29/false/1',1,'lineageexample',NULL,NULL,'[0,1,0]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test27','t2:list//dataref.taverna.org?test29/false/1',2,'lineageexample',NULL,NULL,'[0,1,1]'),
 ('O1','ca7e22d7-9978-4494-8729-2249b2ae8f5d','t2:ref//dataref.taverna.org?test28','t2:list//dataref.taverna.org?test29/false/1',3,'lineageexample',NULL,NULL,'[0,1,2]'),
 ('Y','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test2','t2:list//dataref.taverna.org?test4/false/1',1,'P2','referenceSet','TEXT','[0]'),
 ('Y','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test3','t2:list//dataref.taverna.org?test4/false/1',2,'P2','referenceSet','TEXT','[1]'),
 ('Y','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test6',NULL,1,'P3','referenceSet','TEXT','[]'),
 ('Y','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test0','t2:list//dataref.taverna.org?test5/false/1',1,'P0','referenceSet','TEXT','[0]'),
 ('Y','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test1','t2:list//dataref.taverna.org?test5/false/1',2,'P0','referenceSet','TEXT','[1]'),
 ('X','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test0','t2:list//dataref.taverna.org?test5/false/1',1,'P1','referenceSet','TEXT','[0]'),
 ('Y','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test7',NULL,1,'P1','referenceSet','TEXT','[0]'),
 ('X','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test1','t2:list//dataref.taverna.org?test5/false/1',1,'P1','referenceSet','TEXT','[1]'),
 ('Y','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test8',NULL,1,'P1','referenceSet','TEXT','[1]'),
 ('X1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test7',NULL,1,'P4','referenceSet','TEXT','[0,0]'),
 ('X2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test2',NULL,1,'P4','referenceSet','TEXT','[0,0]'),
 ('X3','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test6',NULL,1,'P4','referenceSet','TEXT','[0,0]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test9','t2:list//dataref.taverna.org?test12/false/1',1,'P4',NULL,NULL,'[0,0,0]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test10','t2:list//dataref.taverna.org?test12/false/1',2,'P4','referenceSet','TEXT','[0,0,1]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test11','t2:list//dataref.taverna.org?test12/false/1',3,'P4','referenceSet','TEXT','[0,0,2]'),
 ('Y2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test13',NULL,1,'P4','referenceSet','TEXT','[0,0]'),
 ('X1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test7',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('X2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test3',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('X3','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test6',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test15','t2:list//dataref.taverna.org?test18/false/1',1,'P4','referenceSet','TEXT','[1,0,0]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test16','t2:list//dataref.taverna.org?test18/false/1',2,'P4','referenceSet','TEXT','[1,0,1]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test17','t2:list//dataref.taverna.org?test18/false/1',3,'P4','referenceSet','TEXT','[1,0,2]'),
 ('Y2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test19',NULL,1,'P4','referenceSet','TEXT','[1,0]'),
 ('X1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test8',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('X2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test2',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('X3','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test6',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test20','t2:list//dataref.taverna.org?test23/false/1',1,'P4','referenceSet','TEXT','[0,1,0]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test21','t2:list//dataref.taverna.org?test23/false/1',2,'P4','referenceSet','TEXT','[0,1,1]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test22','t2:list//dataref.taverna.org?test23/false/1',3,'P4','referenceSet','TEXT','[0,1,2]'),
 ('Y2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test24',NULL,1,'P4','referenceSet','TEXT','[0,1]'),
 ('X1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test8',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('X2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test3',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('X3','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test6',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test25','t2:list//dataref.taverna.org?test28/false/1',1,'P4','referenceSet','TEXT','[1,1,0]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test26','t2:list//dataref.taverna.org?test28/false/1',2,'P4','referenceSet','TEXT','[1,1,1]'),
 ('Y1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test27','t2:list//dataref.taverna.org?test28/false/1',3,'P4','referenceSet','TEXT','[1,1,2]'),
 ('Y2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test29',NULL,1,'P4','referenceSet','TEXT','[1,1]'),
 ('O2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test13','t2:list//dataref.taverna.org?test31/false/1',1,'lineageexample',NULL,NULL,'[0,0]'),
 ('O2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test19','t2:list//dataref.taverna.org?test33/false/1',1,'lineageexample',NULL,NULL,'[1,0]'),
 ('O2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test24','t2:list//dataref.taverna.org?test31/false/1',2,'lineageexample',NULL,NULL,'[0,1]'),
 ('O2','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test29','t2:list//dataref.taverna.org?test33/false/1',2,'lineageexample',NULL,NULL,'[1,1]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test9','t2:list//dataref.taverna.org?test12/false/1',1,'lineageexample',NULL,NULL,'[0,0,0]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test20','t2:list//dataref.taverna.org?test23/false/1',1,'lineageexample',NULL,NULL,'[0,1,0]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test15','t2:list//dataref.taverna.org?test18/false/1',1,'lineageexample',NULL,NULL,'[1,0,0]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test25','t2:list//dataref.taverna.org?test28/false/1',1,'lineageexample',NULL,NULL,'[1,1,0]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test10','t2:list//dataref.taverna.org?test12/false/1',2,'lineageexample',NULL,NULL,'[0,0,1]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test21','t2:list//dataref.taverna.org?test23/false/1',2,'lineageexample',NULL,NULL,'[0,1,1]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test16','t2:list//dataref.taverna.org?test18/false/1',2,'lineageexample',NULL,NULL,'[1,0,1]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test26','t2:list//dataref.taverna.org?test28/false/1',2,'lineageexample',NULL,NULL,'[1,1,1]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test11','t2:list//dataref.taverna.org?test12/false/1',3,'lineageexample',NULL,NULL,'[0,0,2]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test22','t2:list//dataref.taverna.org?test23/false/1',3,'lineageexample',NULL,NULL,'[0,1,2]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test17','t2:list//dataref.taverna.org?test18/false/1',3,'lineageexample',NULL,NULL,'[1,0,2]'),
 ('O1','53dc2901-0ef6-474c-87e6-a084070d8f71','t2:ref//dataref.taverna.org?test27','t2:list//dataref.taverna.org?test28/false/1',3,'lineageexample',NULL,NULL,'[1,1,2]');
UNLOCK TABLES;
/*!40000 ALTER TABLE `VarBinding` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`WfInstance`
--

DROP TABLE IF EXISTS `T2Provenance`.`WfInstance`;
CREATE TABLE  `T2Provenance`.`WfInstance` (
  `instanceID` varchar(100) NOT NULL COMMENT 'T2-generated ID for one execution',
  `wfnameRef` varchar(100) NOT NULL COMMENT 'ref to name of the workflow being executed',
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP COMMENT 'when execution has occurred',
  PRIMARY KEY  USING BTREE (`instanceID`,`wfnameRef`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='dynamic -- execution of a workflow';

--
-- Dumping data for table `T2Provenance`.`WfInstance`
--

/*!40000 ALTER TABLE `WfInstance` DISABLE KEYS */;
LOCK TABLES `WfInstance` WRITE;
INSERT INTO `T2Provenance`.`WfInstance` VALUES  ('9eb5f902-c103-4c49-b3a0-094b602c6516','1c22cff6-c151-4519-ba75-fb8317786b5b','2009-07-29 13:04:36'),
 ('ca7e22d7-9978-4494-8729-2249b2ae8f5d','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','2009-09-10 11:31:35'),
 ('53dc2901-0ef6-474c-87e6-a084070d8f71','e024ea01-89fd-4f93-b6ae-ad6da4a6df08','2009-09-10 11:32:05');
UNLOCK TABLES;
/*!40000 ALTER TABLE `WfInstance` ENABLE KEYS */;


--
-- Definition of table `T2Provenance`.`Workflow`
--

DROP TABLE IF EXISTS `T2Provenance`.`Workflow`;
CREATE TABLE  `T2Provenance`.`Workflow` (
  `wfname` varchar(100) NOT NULL,
  `parentWFname` varchar(100) default NULL,
  PRIMARY KEY  (`wfname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='static -- all known workflows by name';

--
-- Dumping data for table `T2Provenance`.`Workflow`
--

/*!40000 ALTER TABLE `Workflow` DISABLE KEYS */;
LOCK TABLES `Workflow` WRITE;
INSERT INTO `T2Provenance`.`Workflow` VALUES  ('e024ea01-89fd-4f93-b6ae-ad6da4a6df08',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `Workflow` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
